<?php
PHP_HEAD_EXTRA

require_once("LIB_PATH_class.dba.inc.php");
require_once("CONFIG_PATH_conf.dba.inc.php");
require_once("LIB_PATH_static.session.inc.php");
validate_session();

if(IsSet($_GET['offset'])) {
	$offset = $_GET['offset'];
} else {
	$offset = 0;
}

PHP_ORDER_LIMIT

$query = "SELECT * FROM SQL_TABLE_NAME".$order_clause." LIMIT ".$offset.",".$list_limit;
$query_c = "SELECT count(*) FROM SQL_TABLE_NAME";

$num = $dba->query_first($query_c);
if($num[0] > 0) { 
	$num_result_pages = $num[0] / $list_limit;
} else {
	$num_result_pages = 1;
	$query = "SELECT * FROM SQL_TABLE_NAME";
}
$results = $dba->query($query);
?>
<html>
<head>
<title>APPLICATION_TITLE</title>
<link rel="stylesheet" type="text/css" media="screen" href="CSS_PATH" /> 
HTML_HEADER_EXTRA
</head>
<body>
<?php
if(IsSet($_SESSION['flash'])) {
	echo("<div id=\"flash\"><b>Notice:</b><br />\n");
	echo($_SESSION['flash']);
	unset($_SESSION['flash']);
	echo("</div>\n");
}
?>
BODY_HEADER_EXTRA
<table border="1">
HTML_TABLE_TEXT
</table>
<br />
<!-- Navigation //-->
<?php
if($num > $list_limit_per_page) {
	if($offset > 0) {
		$newoffset = max(0,($offset-$list_limit));
		echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">&laquo; Previous</a> | ");
	} else {
		echo("&laquo; Previous | ");
	}
	for($i = 0; $i < $num_result_pages; $i++) {
		$newoffset = $i * $list_limit;
		if($offset == $newoffset) {
			echo("<b>".($i+1)."</b> | ");
		} else {
			echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">".($i+1)."</a> | ");
		}
	}
	$newoffset = $offset + $list_limit;
	if($newoffset < $num[0]) {
		echo("<a href=\"list.php?offset=".$newoffset."&order=".$order_link_arg."\">Next &raquo;</a>");
	} else {
		echo("Next &raquo;");
	}
}
?>
<br />
<br />
<a href="new.php">Create new Entry</a>
BODY_FOOTER_EXTRA
</body>
</html>
